Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pebble.api.event.blogentry
Interface BlogEntryListener

All Known Implementing Classes:
  AuditListener, AuthorIndexListener, BlogEntryIndexListener, BlogEntryListenerSupport, CategoryIndexListener, EmailNotificationListener, EmailSubscriptionListener, MarkUnpublishedListener, SearchIndexListener, TagIndexListener, TidyListener, XmlRpcNotificationListener

    public interface BlogEntryListener

Implemented by classes wanting to be notified of blog entry events.

Author:
  Simon Brown

Method Summary
`void` | `blogEntryAdded(BlogEntryEvent event)` Called when a blog entry has been added.
`void` | `blogEntryChanged(BlogEntryEvent event)` Called when a blog entry has been changed.
`void` | `blogEntryPublished(BlogEntryEvent event)` Called when a blog entry has been published.
`void` | `blogEntryRemoved(BlogEntryEvent event)` Called when a blog entry has been removed.
`void` | `blogEntryUnpublished(BlogEntryEvent event)` Called when a blog entry has been unpublished.

Method Detail

### blogEntryAdded

    void blogEntryAdded(BlogEntryEvent event)

  Called when a blog entry has been added.

  Parameters:
    `event` - a BlogEntryEvent instance

### blogEntryRemoved

    void blogEntryRemoved(BlogEntryEvent event)

  Called when a blog entry has been removed.

  Parameters:
    `event` - a BlogEntryEvent instance

### blogEntryChanged

    void blogEntryChanged(BlogEntryEvent event)

  Called when a blog entry has been changed.

  Parameters:
    `event` - a BlogEntryEvent instance

### blogEntryPublished

    void blogEntryPublished(BlogEntryEvent event)

  Called when a blog entry has been published.

  Parameters:
    `event` - a BlogEntryEvent instance

### blogEntryUnpublished

    void blogEntryUnpublished(BlogEntryEvent event)

  Called when a blog entry has been unpublished.

  Parameters:
    `event` - a BlogEntryEvent instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006, Simon Brown. All Rights Reserved.